
BIBD 3.9.7 BIBDS Estatement - Bug #16590

[NA-4][iOS] Lack of Screen Caching Prevention

30 May 2023 03:49 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 31 May 2023

Priority: High Due date: 31 May 2023

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 2.00 hours

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Fixes to be apply on version 3.9.7

History

#1 - 31 May 2023 12:26 PM - Rafly Prayogos

- File RPReplay_Final1685503495.MP4 added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

SIT build -> https://i.diawi.com/CKpor9

#2 - 01 June 2023 11:58 AM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good

Files

NA-4 iOS.png 251 KB 30 May 2023 Nor Khairun Aqila Jesmen

RPReplay_Final1685503495.MP4 12.5 MB 31 May 2023 Rafly Prayogos
